Skip to main content

Whitelist Depositor

For each reciever, you need to create a beneficiary on the platform. We will return a beneficiaryId, which can be used to make transfers.

We will run an AML and Sanctions check on them once added into the platform.

Endpoint : POST https://api.zamplabs.com/api/v1/depositor

CreateDepositorRequest Struct Documentation

The CreateDepositorRequest struct is used to add a depositor, capturing all necessary details about the depositor, their business, and associated company owners. Below is a detailed explanation of the struct fields and their JSON representation.

Request Body​

KeyTypeDescriptionRequired
depositor_relationstringThe relationship of the depositor to the entity.Yes
depositor_typestringThe type of depositor ( Individual, Corporate).Yes
depositor_detailsDepositorDetailsDetailed personal information of the depositor.Yes
depositor_business_detailsDepositorBusinessDetailsDetailed information of the depositor's business.Yes
company_owner_details[]CompanyOwnerDetailsList of owners of the company, including their personal details and documents.Yes
depositor_wallet_addressstringThe wallet address of the depositor.Yes
depositor_business_idstringThe business ID of the depositor.Yes

DepositorDetails​

KeyTypeDescriptionRequired
person_detailsPersonDetailsPersonal details of the depositor.Yes
addressAddressAddress of the depositor.Yes
documentsDocumentsDocuments related to the depositor.Yes

DepositorBusinessDetails​

KeyTypeDescriptionRequired
business_identification_numberstringThe business identification number.Yes
namestringThe name of the business.Yes
business_typestringThe type of business.Yes
date_of_incorporationstringThe date of incorporation of the business.Yes
addressAddressThe address of the business.Yes

CompanyOwnerDetails​

KeyTypeDescriptionRequired
person_detailsPersonDetailsPersonal details of the company owner.Yes
documentsDocumentsDocuments related to the company owner.Yes

Address​

KeyTypeDescriptionRequired
address1stringThe primary address line.Yes
citystringThe city of the address.Yes
countrystringThe country of the address.Yes
statestringThe state of the address.Yes
zip_codestringThe ZIP code of the address.Yes

Documents​

KeyTypeDescriptionRequired
document_typestringThe type of document (e.g., passport, driver's license).Yes
document_numberstringThe document number.Yes

PersonDetails​

KeyTypeDescriptionRequired
firstnamestringThe first name of the person.Yes
lastnamestringThe last name of the person.Yes
citizenshipstringThe citizenship of the person.Yes
country_of_birthstringThe country of birth of the person.Yes
date_of_birthstringThe date of birth of the person.Yes

Request JSON Representation of Depositor type Individual​

Below is an example JSON representation of a CreateDepositorRequest with test data:

{
"depositor_relation": "external",
"depositor_type": "Individual",
"depositor_details": {
"person_details": {
"firstname": "Prince",
"lastname": "Kumar",
"citizenship": "IN",
"country_of_birth": "IN",
"date_of_birth": "2000-09-09"
},
"address": {
"address1": "test",
"city": "test",
"country": "IN",
"state": "test",
"zip_code": "1112211"
},
"documents": {
"document_type": "DRIVING_LICENSE",
"document_number": "839129181129"
}
}
}

Request JSON Representation of Depositor type Corporate​

{
"depositor_relation": "external",
"depositor_type": "Corporate",
"depositor_business_details": {
"business_identification_number": "312312321321312",
"name": "test",
"business_type": "LIMITED_LIABILITY_COMPANY",
"date_of_incorporation": "2008-09-09",
"address": {
"address1": "test",
"city": "test",
"country": "US",
"state": "Ohio",
"zip_code": "43057"
}
},
"company_owner_details": [
{
"person_details": {
"firstname": "john",
"lastname": "doe",
"citizenship": "US",
"country_of_birth": "US",
"date_of_birth": "2008-09-09"
},
"documents": {
"document_type": "DRIVING_LICENSE",
"document_number": "832902819201"
}
}
],
"depositor_wallet_address": "0x1f9090aaE28b8a3dCeaDf281B0F12828e676c326"
}

Request JSON Representation of Self Business Depositor​

{
"depositor_relation": "business",
"depositor_wallet_address":"0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f87",
"depositor_business_id":"tef24d_kWe54ytTx5NckcDamRXimG_04_29"

}

Response Body​

KeyValueDescription
idmerchant_jXHm4aJH4vUmgcT6bmYGwD_11_30This is the UUID with which you can uniquely identify depositor on Roma platform

Response JSON Representation​

{
"data": {
"id": "8ydue4_etoywLsSS88XDVspB2yEd6_05_22"
}
}

Error Codes​

HTTP CodeError ResponseDescription
404{"code":"RECORD_NOT_FOUND","message":"Unable to find the record requested."}Failed to find the configuration required to add the Beneficiary for the Merchant. Please contact the Zamp team if this happens
403{"code":"BENEFICIARY_CREATION_NOT_ALLOWED","message":"Beneficiary creation not allowed"}The Merchant is not allowed to create a beneficiary.